%define major 1
%define libname %mklibname tommath %{major}
%define libname_devel %mklibname tommath -d
%define libname_static_devel %mklibname tommath -d -s

Summary:	Portable number theoretic multiple-precision integer library
Name:		libtommath
Version:	1.0.1
Release:	%mkrel 1
Group:		System/Libraries
License:	Public Domain
URL:		http://www.libtom.org/LibTomMath/
Source0:	https://github.com/libtom/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
BuildRequires:	ghostscript
BuildRequires:	libtool
BuildRequires:	libtiff-progs

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname}
Summary:	Portable number theoretic multiple-precision integer library
Group:		System/Libraries

%description -n	%{libname}
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:  tommath-devel
Provides:	tommath-devel = %{version}-%{release}

%description -n %{libname_devel}
The %{libname_devel} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags}"

%make LIBPATH=%{_libdir} -f makefile.shared 

%install
%make_install INCPATH=%{_includedir} LIBPATH=%{_libdir} -f makefile.shared

find %{buildroot} -name "*.la" -delete
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%doc LICENSE
%{_libdir}/*.so.%{major}*

%files -n %{libname_devel}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtommath.pc

%changelog
* Tue Apr 24 2018 adrianomorselli <adrianomorselli> 1.0.1-1uplos2018
- new version for new gcc
